세계 보안 엑스포  전자정부 솔루션 페어  개인정보보호 페어  국제 사이버 시큐리티 컨퍼런스  세계 태양에너지 엑스포  스마트팩토리  세계 다이어트 엑스포  INFO-CON
Home > 전체기사
인기 높은 워드프레스 플러그인의 취약점 통한 XSS 공격 유행
  |  입력 : 2018-11-22 15:53
페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기
구글 APM 프로젝트를 웹사이트에 적용시켜 주는 인기 높은 플러그인
1년 전 발견된 취약점...공격자들, XSS 공격 가짜 관리자 계정 만들어


[보안뉴스 문가용 기자] 인기 높은 워드프레스용 플러그인에서 발견된 취약점을 통한 XSS 공격이 활발해지고 있다는 소식이다. 이 플러그인은 구글의 AMP 프로젝트의 기능을 웹사이트에 추가하는 것으로, 약 10만 번 다운로드 된 것이라고 한다. 구글 AMP 프로젝트는 Accelerated Mobile Pages의 준말로 모바일 사용자에게 보다 빠른 페이지 열람 경험을 제공하는 것이다.

[이미지 = iclickart]


모바일 인터넷 사용자의 수가 PC 사용자를 넘어서는 시점에 이 AMP 플러그인은 큰 인기를 누리고 있다. 하지만 그렇기 때문에 해커들의 표적이 되기도 한다. 특히 사이트 운영자가 플러그인에 대한 패치도 제대로 진행하지 않는다면 해커들 입장에서 건드려볼 수밖에 없다. 이번 취약점은 공격자가 최소한의 접근 권한만 가지고 있어도 익스플로잇이 가능하기 때문에 사고가 예견된 것이나 다름없었다.

AMP 플러그인에서 작년에 발견된 취약점들은 권한을 상승시켜주고, 웹사이트를 마음대로 변경할 수 있게 해주는 것으로, 최신화가 되지 않은 AMP 플러그인을 사용하는 웹사이트는 각종 코드 주입 공격에 노출되어 있다고 볼 수 있다. 이 문제가 해결된 버전은 0.9.97.20이다.

워드프레스 보안 전문 업체인 워드펜스(Wordfence)에 따르면 공격자들이 이미 이러한 상황을 파악하고 실제 공격에 나섰다고 한다. “익스플로잇이 쉽고 효과가 크니 공격자가 언제 꼬여도 이상하지 않을 상황이었습니다. 공격자가 필요로 하는 건 현재 활성화 되어 있는 사용자 로그인 세션이 전부로, 이를 통해 플러그인에 권한에 상관없는 요청들을 보낼 수 있게 된다.

이 취약점을 악용한 공격 가운데 현재 가장 빈번하게 나타나는 건 로그인된 관리자를 겨냥하기 위해 XSS 페이로드를 주입하는 것이다. 관리자의 브라우저가 악성 스크립트를 실행하는 순간 더 큰 페이로드가 공격자의 C&C 서버에서부터 전달된다. 이 스크립트에는 다양한 기능이 들어있는데, 관리자의 브라우저 세션을 하이재킹 해 새로운 관리자 계정을 등록시키는 것도 포함되어 있다.

“공격당한 관리자가 현재 보고 있는 페이지에 숨겨진 아이프레임 요소를 생성한 후, 새로운 사용자 양식을 채워 넣는 과정이 시작됩니다. 즉 새로운 사용자 계정을 등록하는 건데 역할을 ‘관리자’로 설정하고, click() 이벤트를 ‘제출 버튼’으로 보냄으로써 완성시킵니다.” 워드펜스의 설명이다. “동시에 이 스크립트는 플러그인에 백도어 코드를 주입하기도 합니다. 성공할 경우 공격자는 가짜 관리자 계정이 삭제되더라도 사이트를 통해 임의의 PHP 코드를 실행할 수 있게 됩니다.”

이 공격에서 사용되는 C&C는 sslapis.com에 위치해 있었다. 전문가들은 자바스크립트 페이로드와, 공격당한 브라우저 세션들로부터 데이터를 받게 해주는 스크립트를 발견할 수 있었다. 도메인이 등록된 건 11월 2일의 일이고, 우크라이나의 회사인 ukrnames.com이 이를 접수해주었다. 1년 전 있었던 애플 관련 피싱 공격과 연루된 서버도 여기에 호스팅되어 있었다.

공격자들은 스스로를 감추기 위해 많은 공을 들였지만 악성 요청에 사용되는 사용자-에이전트(User-Agent) 문자열에서 실수를 하나 저질렀다. 워드펜스는 “이 실수 하나 때문에 공격과 관련된 모든 요소들을 추적할 수 있었다”고 한다. “이 캠페인 덕분에 XSS 취약점을 우선적으로 해결해야 한다는 게 증명되었습니다. 공격자들이 임의의 자바스크립트를 브라우저 내에서 실행시킬 수 있게 되는 순간 그들은 뭐든 저지를 수 있는 괴물로 돌변합니다.”

3줄 요약
1. 워드프레스용 APM 플러그인에서 1년 전 취약점 발견됨.
2. 현재 이 취약점을 통한 XSS 공격이 해커들 사이에서 유행하고 있음.
3. 단순해 보일지 몰라도 XSS 취약점은 늘 우선적으로 패치해야 하는 문제.

[국제부 문가용 기자(globoan@boannews.com)]

<저작권자: 보안뉴스(www.boannews.com) 무단전재-재배포금지>

  •  
  • 0
  • 페이스북 보내기 트위터 보내기 네이버 밴드 보내기 카카오 스토리 보내기


  •  SNS에서도 보안뉴스를 받아보세요!! 
모니터랩 파워비즈 배너 시작 18년9월12일위즈디엔에스 2018WD 파워비즈 2017-0305 시작파워비즈배너 시작 11월6일 20181105-20200131
설문조사
2019년은 4차 산업혁명을 이끌 보안기술들이 본격적으로 상품화될 것으로 기대되고 있습니다. 2019년에 선보이는 다양한 보안기술 중에서 어떤 기술이 가장 주목을 받을 것이라고 생각하시나요?
실시간 위협탐지·대응 기술 EDR
빅데이터 기반의 인공지능(AI) 보안기술
음성인식·행동인식 등 차세대 생체인식기술
차세대 인터넷, 블록체인 기반 보안기술
보안위협 분석 위한 인텔리전스 보안기술
대세는 클라우드, 클라우드 기반 보안기술
IoT 기기를 위한 경량화 보안기술
IP 카메라 해킹 대응 개인영상 정보보호 기술